Auto Multiple Choice - Bug # 265: Blank page and marks with noindent

Status: Closed Priority: Low

Author: David Dixon Category:

Created: 03/08/2014 Assignee:

Updated: 10/31/2014 Due date:

Description: | use lyx, which makes some things hard to track down. | had to export to latex to figure this one out.

| have some input files with the questions. | get page 1 blank except for marks when the tex looks like this:
<pre>

\usepackage[box,separateanswersheet,automarks]{automultiplechoice}

\begin{document}

\noindent \input{/.../Exam2/Exam2Questions1.tex}

\onecopy{1}

\input{/.../Exam2TitlepageRev1.tex}

</pre>

If | remove the \noindent before the \input, the blank page and marks go away.

History

03/09/2014 02:44 pm - Alexis Bienveniie

- Description changed from | use lyx, which makes some things hard to track down. | had to export to latex to figure this one out.

| have some input files with the questions. | get page 1 blank except for marks when the tex looks like this:

\usepackage[box,separateanswersheet,automarksj{automultiplechoice}
\begin{document}
\noindent \input{/.../Exam2/Exam2Questions1.tex;}

lonecopy{1}{
linput{/.../Exam2TitlepageRev1.tex}

If I remove the \noindent before the \input, the blank page and marks go away.
to I use lyx, which makes some things hard to track down. | had to export to latex to figure this one out.

I have some input files with the questions. | get page 1 blank except for marks when the tex looks like this:
<pre>

\usepackage[box,separateanswersheet,automarksj{automultiplechoice}

\begin{document}

\noindent \input{/.../Exam2/Exam2Questions1.tex}

lonecopy{1}{

\input{/.../ExamZ2TitlepageRev1.tex}

</pre>

If I remove the \noindent before the \input, the blank page and marks go away.

Can you provide a minimal source file, along with a minimal @Exam2Questions1.tex@ and @Exam2TitlepageRev1.tex@ that show the problem?

03/10/2014 05:17 pm - David Dixon
- File NoindentBug.zip added

In the zip file find NoindentBug.tex and WithoutBug.tex. NoindentBug has the \noindent with \input, WithoutBut does not.
03/17/2014 01:53 pm - Alexis Bienveniie
Thanks. It seems that it comes from the @\vspace{-12bp}@ command at the beginning of the @Exam2/Exam2Questions1.tex@ file: it should be

placed before the @\noindent@ (or elsewhere).

10/31/2014 02:37 pm - Alexis Bienvenlie
- % Done changed from 0 to 100

- Status changed from New to Closed

Files

NoindentBug.zi 56.2 kB 03/10/2014 David Dixon
g.zIp
